public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/graaff:master commit in: dev-ruby/compass/
Date: Wed,  2 Apr 2014 13:42:18 +0000 (UTC)	[thread overview]
Message-ID: <1395935853.067da210a248abc953efb317e93fb2981e9fd569.graaff@gentoo> (raw)

commit:     067da210a248abc953efb317e93fb2981e9fd569
Author:     Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Thu Mar 27 15:57:33 2014 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Mar 27 15:57:33 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/graaff.git;a=commit;h=067da210

Version bump.

Package-Manager: portage-2.2.8-r1

---
 dev-ruby/compass/ChangeLog             |  7 ++++++-
 dev-ruby/compass/Manifest              |  1 +
 dev-ruby/compass/compass-0.12.3.ebuild | 38 ++++++++++++++++++++++++++++++++++
 3 files changed, 45 insertions(+), 1 deletion(-)

diff --git a/dev-ruby/compass/ChangeLog b/dev-ruby/compass/ChangeLog
index 0447a1e..778758c 100644
--- a/dev-ruby/compass/ChangeLog
+++ b/dev-ruby/compass/ChangeLog
@@ -1,7 +1,12 @@
 # ChangeLog for dev-ruby/compass
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*compass-0.12.3 (27 Mar 2014)
+
+  27 Mar 2014; Hans de Graaff <graaff@gentoo.org> +compass-0.12.3.ebuild:
+  Version bump.
+
 *compass-0.12.2-r1 (17 Jul 2013)
 
   17 Jul 2013; Hans de Graaff <graaff@gentoo.org> -compass-0.12.2.ebuild,

diff --git a/dev-ruby/compass/Manifest b/dev-ruby/compass/Manifest
index 9003028..810666b 100644
--- a/dev-ruby/compass/Manifest
+++ b/dev-ruby/compass/Manifest
@@ -1 +1,2 @@
 DIST compass-0.12.2-git.tar.gz 2019736 SHA256 94d15a5e9a4b019ebc6fb7d1297a817da278efa8935ec8f0c47c3ad5b347464e SHA512 2de5a583aa5e2aee10bd374b011271aee1ba713a1088d1397057ef0745b5d6581907178e8f566275278a0863c1995c4ebc87c82f0707f4197a36ab05864a8bb9 WHIRLPOOL 46d9aed86fd6c649562e5903364280de2601f792ec357e7b4266785cb102c237c7e62f33cbec9a6c17ab1196013a9af1c3f3c1ad4237c77d2764aff1602bcf94
+DIST compass-0.12.3-git.tar.gz 2019689 SHA256 614fd5cdfff2ca50741f5f243941713bace99f441c52b8b0a2e95553a034a7c9 SHA512 45678a244b99642e9d56f42eb8a048faa1cdc3dbfd3563d1eedb614c4bede5154ae5d3c59a543f4885da9f5dd65b353610cce7ec65fd2099787627e5fb812d90 WHIRLPOOL bae32441777ef0b53171dbf81263a1bef2416bc45d4dd96cec8fbd87e8a39635710bdc134846cfc4aaa7c0c3c4635afc1338f415919264f5b69e46d5e21743cd

diff --git a/dev-ruby/compass/compass-0.12.3.ebuild b/dev-ruby/compass/compass-0.12.3.ebuild
new file mode 100644
index 0000000..bb5071f
--- /dev/null
+++ b/dev-ruby/compass/compass-0.12.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+USE_RUBY="ruby19"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.markdown"
+
+RUBY_FAKEGEM_TASK_TEST="-Ilib test features"
+
+RUBY_FAKEGEM_EXTRAINSTALL="frameworks VERSION.yml"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Compass Stylesheet Authoring Framework"
+HOMEPAGE="http://compass-style.org/"
+SRC_URI="https://github.com/chriseppstein/compass/archive/v${PV}.tar.gz -> ${P}-git.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+# Fails tests on 1.9.3 (already fixed upstream in 0.12.4
+RESTRICT="test"
+
+ruby_add_rdepend ">=dev-ruby/chunky_png-1.2
+	>=dev-ruby/sass-3.2.14:0"
+
+all_ruby_prepare() {
+	sed -i -e '/[Bb]undler/ s:^:#:' Rakefile || die
+
+	sed -i -e '/Date.today/d' -e '/fssm/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}


             reply	other threads:[~2014-04-02 13:42 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-04-02 13:42 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2014-05-14 13:26 [gentoo-commits] dev/graaff:master commit in: dev-ruby/compass/ Hans de Graaff
2014-05-14 12:48 Hans de Graaff
2014-04-22 16:54 Hans de Graaff
2013-07-17  7:06 Hans de Graaff
2012-11-20 10:00 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1395935853.067da210a248abc953efb317e93fb2981e9fd569.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox